Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global npm_name nan



Summary:       Native Abstractions for Node.js 
Name:          nodejs-%{npm_name}
Version:       2.13.2
Release:       alt1_1
License:       MIT
URL:           https://github.com/nodejs/nan
Source0:       https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: rpm-build-nodejs node-devel
BuildArch:     noarch

# nan is a header only library statically included by dependents
Provides:      nodejs-nan-devel = %{version}-%{release}
Provides:      nodejs-nan-static = %{version}-%{release}
Source44: import.info

%description
A header file filled with macro and utility goodness
for making add on development for Node.js easier across
versions 0.8, 0.10 and 0.11, and eventually 0.12.

Thanks to the crazy changes in V8 (and some in Node core),
keeping native add-on compiling happily across versions,
particularly 0.10 to 0.11/0.12, is a minor nightmare. 
The goal of this project is to store all logic necessary
to develop native Node.js add-on without having to inspect 
NODE_MODULE_VERSION and get yourself into a macro-tangle.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}@2
cp -pr include_dirs.js nan*.h package.json  %{buildroot}%{nodejs_sitelib}/%{npm_name}@2

ln -sf nan@2 %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc CHANGELOG.md README.md doc
%doc --no-dereference LICENSE.md
%{nodejs_sitelib}/%{npm_name}
%{nodejs_sitelib}/%{npm_name}@2

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.13.2-alt1_1
- new version

* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 2.13.1-alt1_1
- fc update

* Thu Nov 03 2016 Igor Vlasenko <viy@altlinux.ru> 2.4.0-alt1_1
- converted for ALT Linux by srpmconvert tools

